from pydantic import BaseModel


class CreateNotificationDto(BaseModel):
    user_id: int
    token: str
    topic: str
    status: str
    message: str


class UpdateNotificationReadDto(BaseModel):
    notification_id: int


class UpdateNotificationAllReadDto(BaseModel):
    user_id: int


class GetNotificationDto(BaseModel):
    user_id: int
    previous_id: int | None


class GetBadgeDto(BaseModel):
    user_id: int
